      SUBROUTINE MCRDR_OPENCK(LUN,NAME,LUNT,IER)
C
C  OPEN A FILE - READONLY - ERROR CHECK
C
      CHARACTER*(*) NAME
C
      CLOSE(UNIT=LUN,ERR=5)
 5    CONTINUE
C
      CALL UFOPEN(LUN,NAME,1,IER,0)
      IF(IER.EQ.0) GO TO 20
C
 10   CONTINUE
      WRITE(LUNT,1001) LUN,NAME,IER
 1001 FORMAT(' %MCRDR_OPENCK:  ',
     >'ASCII SEQUENTIAL READONLY FILE OPEN FAILURE'/
     >'  NAME="',A,'"  LUN=',I4,' IOSTAT=',I4)
C
 20   CONTINUE
      RETURN
      END
